/*******************************************************************************
 * FoxUIMiniMartListWidget generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxUIMiniMartListWidget extends FoxUIBaseItemListWidget within GFxMoviePlayer
    native(UI)
    config(UI);

struct native PackTypeDisplayInfo
{
    var FoxTypes.EStorePackType PackType;
    var init array<init string> sIcons;

    structdefaultproperties
    {
        PackType=EStorePackType.ESPT_None
        sIcons=none
    }
};

var bool bDeducePackTypes;
var protected transient array<BaseItemListEntry> FilteredItemList;
var private transient array<FoxTypes.EUnlockState> UnlockStateFilter;
var private transient array<Engine.OnlineSubsystemTypes.EActivationType> ActivationTypeFilter;

function ApplyUnlockStateFilter(const optional array<FoxTypes.EUnlockState> UnlockStates)
{
    UnlockStateFilter = UnlockStates;
    //return;    
}

function ApplyActivationTypeFilter(const optional array<Engine.OnlineSubsystemTypes.EActivationType> ActivationTypes)
{
    ActivationTypeFilter = ActivationTypes;
    //return;    
}

function string GetItemGuidFromIndex(int Index)
{
    // End:0x50
    if((Index >= 0) && Index < FilteredItemList.Length)
    {
        return FilteredItemList[Index].ItemGuid;
    }
    return "";
    //return ReturnValue;    
}

// Export UFoxUIMiniMartListWidget::execReloadList(FFrame&, void* const)
protected native function ReloadList();

private final event as_updateDataProvider(const array<BaseItemListEntry> DataProvider)
{
    ActionScriptVoid("updateDataProvider");
    //return;    
}

defaultproperties
{
    bRefreshStore=true
}